package designer;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JButton;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import javax.swing.ButtonGroup;
import javax.swing.GroupLayout;
import javax.swing.GroupLayout.Alignment;
import javax.swing.LayoutStyle.ComponentPlacement;
import javax.swing.JCheckBox;

public class code extends JFrame {

	private JPanel contentPane;
	
	private Color current;
	private JTextField text_start_state;
	private JTextField txt_end_state;
	private JTextField text_name;
	private JTextField text_equation;
	
	private JTextField champ_setx;
	private JTextField champ_sety;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					code frame = new code();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public code() {
		setTitle("patrice");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		getContentPane().setLayout(null);
		
		
		JLabel lbl_comments = new JLabel("Comments");
		lbl_comments.setBounds(44, 35, 72, 14);
		getContentPane().add(lbl_comments);
	
		/*******************/
		
		JLabel lbl_state_name = new JLabel("X:");
		lbl_state_name.setBounds(44, 64, 24, 14);
		getContentPane().add(lbl_state_name);
		
		JLabel lbl_equation = new JLabel("Y:");
		lbl_equation.setBounds(44, 97, 24, 14);
		getContentPane().add(lbl_equation);

		champ_setx = new JTextField();
		champ_setx.setBounds(68, 60, 120, 20);
		getContentPane().add(champ_setx);
		champ_setx.setColumns(10);
		champ_setx.setText( "lulu");
		
		champ_sety = new JTextField();
		champ_sety.setBounds(68, 93, 120, 20);
		getContentPane().add(champ_sety);
		champ_sety.setColumns(10);
		champ_sety.setText( "toto" );
		
		/*******************/
		
		JRadioButton RadioButton_auto = new JRadioButton("Auto set text");
		RadioButton_auto.setBounds(44, 165, 109, 23);
		getContentPane().add(RadioButton_auto);
		
		JRadioButton RadioButton_manual = new JRadioButton("Manual set text");
		RadioButton_manual.setBounds(44, 201, 109, 23);
		getContentPane().add(RadioButton_manual);
		
		ButtonGroup group = new ButtonGroup();
        group.add(RadioButton_auto);
	    group.add(RadioButton_manual);

		
		
		
		
	}
}
